org.apache.sysds.runtime.instructions.fed

## Class FEDInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction

- Direct Known Subclasses:
    AggregateTernaryFEDInstruction, ComputationFEDInstruction, InitFEDInstruction, SpoofFEDInstruction, VariableFEDInstruction

      public abstract class FEDInstruction
      extends Instruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FEDInstruction.FederatedOutput`
    `static class` | `FEDInstruction.FEDType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

      `Instruction.IType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

      `DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FEDInstruction.FEDType` | `getFEDInstructionType()`
    `long` | `getTID()`
    `Instruction.IType` | `getType()`
    `Instruction` | `preprocessInstruction(ExecutionContext ec)` This method should be used for any setup before executing this instruction.
    `void` | `setTID(long tid)`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, postprocessInstruction, printMe, processInstruction, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public Instruction.IType getType()

      Specified by:
        `getType` in class `Instruction`

    - #### getFEDInstructionType

          public FEDInstruction.FEDType getFEDInstructionType()

    - #### getTID

          public long getTID()

    - #### setTID

          public void setTID(long tid)

    - #### preprocessInstruction

          public Instruction preprocessInstruction(ExecutionContext ec)

      Description copied from class: `Instruction`
      This method should be used for any setup before executing this instruction. Overwriting methods should first call the super method and subsequently do their custom setup.
      Overrides:
        `preprocessInstruction` in class `Instruction`
      Parameters:
        `ec` - execution context
      Returns:
        instruction

Copyright © 2021 The Apache Software Foundation. All rights reserved.